import request from '@/plugin/axios'
//区域管理

//渠道方树查询
export function TreeNode (data) {
  return request({
    url: '/tree/getMerchantTree',
    method: 'post',
    data
  })
}
//查询列表
export function getMerchantList (data) {
  return request({
    url: '/merchant/getMerchant',
    method: 'post',
    data
  })
}

//新增
export function saveOrUpdataList (data) {
  return request({
    url: '/merchant/insertUpdateMerchant',
    method: 'post',
    data
  })
}

//编辑回显
export function getList (data) {
  return request({
    url: '/merchant/getUpdate',
    method: 'post',
    data
  })
}

//删除
export function deleteList (data) {
  return request({
    url: '/merchant/deleteMerchant',
    method: 'post',
    data
  })
}
